Bug 947665 - SELinux is preventing /usr/libexec/colord from 'search' accesses on the directory gnome-initial-setup.
Summary: SELinux is preventing /usr/libexec/colord from 'search' accesses on the direc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8b5b7aab86f62555a61cc89382b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-03 00:47 UTC by Dawid Zamirski
Modified: 2013-04-19 05:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:56:12 UTC
Type: ---


Attachments (Terms of Use)

Description Dawid Zamirski 2013-04-03 00:47:04 UTC
Description of problem:
SELinux is preventing /usr/libexec/colord from 'search' accesses on the directory gnome-initial-setup.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that colord should be allowed search access on the gnome-initial-setup directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep colord /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0
Target Context                system_u:object_r:xdm_var_run_t:s0
Target Objects                gnome-initial-setup [ dir ]
Source                        colord
Source Path                   /usr/libexec/colord
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           colord-0.1.31-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-24.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.0-0.rc4.git0.1.fc19.x86_64 #1
                              SMP Mon Mar 25 02:31:02 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-04-02 15:25:15 EDT
Last Seen                     2013-04-02 15:25:15 EDT
Local ID                      5f6dc916-6345-4cd1-9395-cda370808713

Raw Audit Messages
type=AVC msg=audit(1364930715.31:284): avc:  denied  { search } for  pid=768 comm="colord" name="gnome-initial-setup" dev="tmpfs" ino=16012 scontext=system_u:system_r:colord_t:s0 tcontext=system_u:object_r:xdm_var_run_t:s0 tclass=dir


type=SYSCALL msg=audit(1364930715.31:284): arch=x86_64 syscall=open success=no exit=EACCES a0=7f784281b499 a1=0 a2=1b6 a3=0 items=0 ppid=1 pid=768 auid=4294967295 uid=997 gid=997 euid=997 suid=997 fsuid=997 egid=997 sgid=997 fsgid=997 ses=4294967295 tty=(none) comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0 key=(null)

Hash: colord,colord_t,xdm_var_run_t,dir,search

audit2allow

#============= colord_t ==============
allow colord_t xdm_var_run_t:dir search;

audit2allow -R
require {
	type colord_t;
}

#============= colord_t ==============
xserver_read_xdm_pid(colord_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.9.0-0.rc4.git0.1.fc19.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2013-04-03 09:38:21 UTC
What does

# ls -lZ /run/initial*

Comment 2 Dawid Zamirski 2013-04-03 14:59:41 UTC
The file does not seem to exist:
[root@phenom ~]# ls -lZ /run/initial*
ls: cannot access /run/initial*: No such file or directory

There's no file in the /run directory that has *initial* in its name.

I have rebooted my PC since this alert occurred.

Comment 3 Miroslav Grepl 2013-04-04 11:53:54 UTC
I added a fix.

Comment 4 Fedora Update System 2013-04-08 11:43:58 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 5 Fedora Update System 2013-04-08 15:56:17 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-19 05:56:14 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.